%define module	Graph
%define name	perl-%{module}
%define version 0.67
%define release 1mdk

Name:		%{name}
Epoch:		1
Version:	%{version}
Release:	%{release}
Summary:	Graph data structures and algorithms in perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/J/JH/JHI/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-Heap
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module is not for drawing any sort of graphics, but instead it is for
creating abstract data structures called graphs, and for doing various
operations on those.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

%check
make test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README DESIGN RELEASE TODO
%{perl_vendorlib}/Graph
%{perl_vendorlib}/Graph.*
%{_mandir}/*/*

%changelog
* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.67-1mdk
- New release 0.67

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1:0.66-1mdk
- 0.66

* Sat Jun 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.65-2mdk 
- don't ship empty directories
- spec cleanup
- make test in %%check

* Fri May 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.65-1mdk
- 0.65

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.63-1mdk
- 0.63
 
* Mon Feb 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.58-1mdk
- 0.58

* Sat Feb 12 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.57-1mdk
- 0.57
- New docs
- API not compatible with the 0.2xxxx series

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.20105-2mdk
- fix buildrequires in a backward compatible way

* Fri Jun 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.20105-1mdk
- 0.20105

* Tue May 11 2004 Michael Scherer <misc@mandrake.org> 0.20104-1mdk
- New release 0.20104

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.20102-1mdk
- new version
- rpmbuildupdate aware
- make test
- buildrequires

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.20101-3mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20101-2mdk
- rebuild for new auto{prov,req}

* Fri Feb 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.20101-1mdk
- first mdk release
